Bug 202487 - [PATCH] net-mgmt/collectd5: Add write_kafka support
Summary: [PATCH] net-mgmt/collectd5: Add write_kafka support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason Unovitch
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-08-19 15:56 UTC by xoan
Modified: 2015-09-11 03:37 UTC (History)
2 users (show)

See Also:
ports: maintainer-feedback+


Attachments
collectd5.patch (1.88 KB, text/plain)
2015-08-19 15:56 UTC, xoan
no flags Details
collectd5.patch to add librdkafka (2.45 KB, patch)
2015-08-20 10:37 UTC, Krzysztof
no flags Details | Diff
collectd5_librdkafka.patch (2.45 KB, patch)
2015-08-29 00:52 UTC, Krzysztof
no flags Details | Diff
collectd5-5.5.0_3.patch (2.57 KB, patch)
2015-09-09 01:17 UTC, Jason Unovitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xoan 2015-08-19 15:56:45 UTC
Created attachment 160107 [details]
collectd5.patch

Add write_kafka support to collectd5 with the net/librdkafka port
Comment 1 Krzysztof 2015-08-20 10:37:34 UTC
Created attachment 160134 [details]
collectd5.patch to add librdkafka

I've made some small corrections to your patch. So this one is correct.
Comment 2 Krzysztof 2015-08-20 10:39:28 UTC
Comment on attachment 160107 [details]
collectd5.patch

Please make your patch as obsolete - I can not do it.
Comment 3 Krzysztof 2015-08-29 00:52:12 UTC
Created attachment 160461 [details]
collectd5_librdkafka.patch

Add corrected patch - previous one does not apply cleanly
Comment 4 Krzysztof 2015-08-29 00:57:57 UTC
I have tested build of collectd5 with librdkafka. You can see log at https://rtm.bsdserwis.com/poudriere/data/a1amd64-testing/2015-08-29_02h44m06s/logs/collectd5-5.5.0_2.log

There were no error at all. So I hope this patch will be commited soon :-)))
Comment 5 Jason Unovitch freebsd_committer 2015-09-08 22:58:35 UTC
Take.
Comment 6 Jason Unovitch freebsd_committer 2015-09-09 01:17:29 UTC
Created attachment 160849 [details]
collectd5-5.5.0_3.patch

* Obsolete prior patch *

Krzysztof, this is just a small cleanup on the patch. Mainly to sort the OPTIONS_GROUP_OUTPUT that we are adding, sort two missorted _DESC= values, and keep the KAFKA PORT_OPTIONS we just added alphabetically sorted between JSON and LOGSTASH.

Final log for my mentor review:

net-mgmt/collectd5: add support for write_kafka plugin

While here, also sort OPTIONS_GROUP_OUTPUT and two DESC items

PR:		202487
Submitted by:	xoan333@yahoo.com
Approved by:	Krzysztof <ports@bsdserwis.com> (maintainer)
Comment 7 Jason Unovitch freebsd_committer 2015-09-09 01:20:32 UTC
QA wise, nothing actionable to address at the moment.

Portlint still shows a false hit because of the capitalized "CGI"

WARN: Makefile: [169]: IGNORE messages should begin with a lowercase letter and end without a period.

Poudriere with all port options is compiling now and was successful on 9.3 amd64.  Compile with default options was good on 9, 10, and 11 so I am not foreseeing any issue.
Comment 8 Jason Unovitch freebsd_committer 2015-09-09 01:23:46 UTC
Can you do one thing when you have the time?  Take a look at the various revised helpers that have been added in the Porter's Handbook.  This should shrink the Makefile significantly.  For now, let's get the PR for this feature addition out of the way now and follow up on this in the future commit just to clean this port up.

https://www.FreeBSD.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-options.html#ports-options-practical-use

Thanks!
Comment 9 commit-hook freebsd_committer 2015-09-11 03:32:17 UTC
A commit references this bug:

Author: junovitch
Date: Fri Sep 11 03:32:14 UTC 2015
New revision: 396645
URL: https://svnweb.freebsd.org/changeset/ports/396645

Log:
  net-mgmt/collectd5: add support for write_kafka plugin

  While here, also sort OPTIONS_GROUP_OUTPUT and two DESC items

  PR:		202487
  Submitted by:	xoan333@yahoo.com
  Approved by:	Krzysztof <ports@bsdserwis.com> (maintainer), feld (mentor)

Changes:
  head/net-mgmt/collectd5/Makefile
  head/net-mgmt/collectd5/pkg-plist
Comment 10 Jason Unovitch freebsd_committer 2015-09-11 03:37:11 UTC
Committed. Thank you both!

Krzysztof, I'll you some details and example ports for the option helper conversions and we'll pick that up in another PR when you are able to have a look.